--***********************************************
--VISTA DATOS ECONOMICOS DEL COOOBLIGADO VM_C_ECONOMICOS_COOBLIGADO_PF
--***********************************************

SELECT
CON.FOLIO_UNICO,
--DATOS PERSONALES COOBLIGADO
COO.ID COOBLIGADO_ID,
--DATOS ECONOMICOS COOBLIGADO
ACE.NOMBRE TIPO_PERSONA,
SUD.ID SUJETO_DETALLES_ID,
SUD.INGRESOS,
SUD.OTROS_INGRESOS,
SUD.FUENTE_OTROS_INGRESOS,
(SUD.INGRESOS + SUD.OTROS_INGRESOS) INGRESOS_TOTALES,
SUD.EGRESOS_MENSUALES EGRESOS,
(SUD.INGRESOS + SUD.OTROS_INGRESOS)-(SUD.EGRESOS_MENSUALES) TOTAL_GENERAL

FROM SMAFB.SGCONTRATOS CON
LEFT OUTER JOIN SMAFB.SGTIPOS_APLICACIONES TAP ON (TAP.ID = CON.TIPO_APLICACION_ID)
LEFT OUTER JOIN SMAFB.SGAPLICACIONES_FISICAS APF ON (APF.CONTRATO_ID = CON.IDINT)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FISICOS ATF ON (ATF.ID = APF.APLICANTE_ID)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FIS_COO AFC ON (AFC.APLICANTE_FISICO_ID = ATF.ID)
LEFT OUTER JOIN SMAFB.SGCOOBLIGADOS COO ON (COO.ID = AFC.COOBLIGADO_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOS S ON (S.ID = COO.SUJETO_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOBASES SB ON (SB.ID = S.SUJETOBASE_ID)
LEFT OUTER JOIN SMAFB.SGSUJETOS_DETALLES SUD ON (SUD.SUJETO_ID = S.ID)
LEFT OUTER JOIN SMAFB.SGACTIVIDADESECONOMICAS ACE ON (ACE.IDINT = COO.ACTIVIDAD_ECONOMICA_ID)

WHERE TAP.ID = 1 --TIPO 1 PERSONA FISICA
;